# struct sdata

Full name | `Enum::sdata`
Definition | `#include <Enum.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- sdata ()

#### Public Members

- i2sMapper stringRep
- std::string name
- E defaultValue

## Detailed Description

sdata ()

### sdata

The constructor of the static data part. You've to provide a constructor for each Enumeration you want to wrap with this class. Initializes the string Representation map, the readable name of this Enumeration and a default value.

The constructor is called automatically on definition, so this makes sure, that the static part is initialized properly before the program starts.

i2sMapper stringRep

### stringRep

std::string name

### name

E defaultValue

### defaultValue

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.